/* Block: categories-list (categories-list) */
.g-ec0ad250 { display: grid; grid-template-columns: repeat(6, 1fr); gap: var(--size-s); }
.g-ec0ad250 .g-edfddbc3 { position: relative; text-decoration: none; background: linear-gradient(180deg, var(--color-surface) 0%, transparent 100%); border-radius: var(--b-radius); padding: 24px 24px 150px; min-height: 178px; overflow-wrap: break-word; word-break: break-word; text-wrap: balance; grid-column: span 2; transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-ec0ad250 .g-edfddbc3:hover { background: linear-gradient(180deg, var(--color-surface) 0%, var(--color-surface) 100%); box-shadow: inset var(--shadow); transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-ec0ad250 .g-edfddbc3:hover .g-2117b342 { opacity: 1; }
.g-ec0ad250 .g-fbbf2e30 { position: relative; z-index: 1; }
.g-ec0ad250 .g-2117b342 { position: absolute; right: 24px; bottom: 24px; font-size: 120px; opacity: 0.6; transition: opacity 0.2s ease-in-out; }
.g-ec0ad250 .g-6f29b5d8 { padding-bottom: 210px; min-height: 266px; grid-column: span 3; }
.g-ec0ad250 .g-6f29b5d8 .g-2117b342 { font-size: 200px; }
@media screen and (max-width: 1024px) { .g-edfddbc3 { min-height: 144px; padding-bottom: 82px; }
.g-2117b342 { font-size: 72px; }
.g-6f29b5d8 { padding-bottom: 120px; min-height: 159px; }
.g-6f29b5d8 .g-2117b342 { font-size: 100px; }
 }@media screen and (max-width: 768px) { .g-ec0ad250 { gap: var(--size-xs); grid-template-columns: repeat(2, 1fr); }
.g-edfddbc3 { min-height: 119px; padding: 16px 16px 76px; grid-column: auto; }
.g-2117b342 { font-size: 56px; right: 16px; bottom: 16px; }
.g-6f29b5d8 { min-height: 119px; grid-column: auto; padding-bottom: 76px; }
.g-6f29b5d8 .g-2117b342 { font-size: 56px; }
 }

/* Block: category-header (category-header) */
.g-f7e8d0da { padding: var(--size-m) 0 var(--section-padding); }
.g-f7e8d0da .g-25fa61e1 { display: inline-flex; justify-content: flex-start; align-items: center; padding: var(--size-xxs) var(--size-s); background-color: var(--color-surface); border-radius: var(--b-radius); gap: var(--size-xs); }
.g-f7e8d0da .g-7ff64711 { margin-top: var(--size-s); }
@media screen and (max-width: 576px) { .g-25fa61e1 { display: flex; margin: 0 auto; justify-content: center; gap: var(--size-xxs); }
.g-7ff64711 { margin-top: var(--size-xs); text-align: center; }
 }

/* Block: comments (comments) */
.comments-block .comments {
    list-style: none;
    padding: 0;
}

.comments-block .comments ul {
    padding: 0;
}

.comments-block .comment {
    list-style: none;
}

.comments-block .comments-title,
.comments-block .comment-reply-title {
    font-size: clamp(1.5rem, 0.8839779006vw + 1.2928176796rem, 2rem);
    font-weight: 600;
    line-height: 120%;
    margin-bottom: var(--size-m);
}

.comments-block .comment-body,
.comments-block .comment-respond {
    margin-top: var(--size-m);
    background-color: var(--color-surface);
    padding: var(--size-s);
    border-radius: var(--b-radius);
}

.comments-block .comment-content {
    margin-top: var(--size-s);
}

.comments-block .comment-metadata {
    margin-top: var(--size-xxs);
}

.comments-block .avatar {
    border-radius: 50%;
    margin-right: var(--size-xs);
}

.comments-block .comment-form {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xs);
}

.comments-block .comment-form p {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-direction: column;
    gap: var(--size-xxs);
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"],
.comments-block .comment-form textarea {
    width: 100%;
    border: 0;
    border-radius: var(--b-radius);
    font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem);
    font-weight: 400;
    line-height: 120%;
    color: var(--color-text);
    background-color: var(--color-bg);
    outline: none;
}

.comments-block .comment-form input[type="email"],
.comments-block .comment-form input[type="text"],
.comments-block .comment-form input[type="url"] {
    height: var(--size-l);
}

.comments-block .comment-form textarea {
    min-height: 130px;
    resize: vertical;
}

.comments-block .comment-form .submit {
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--color-text-light);
    padding: 9px 75px;
    min-height: var(--size-l);
    text-decoration: none;
    font-size: 18px;
    border: 0;
    cursor: pointer;
    background-color: var(--color-primary);
    border-radius: var(--b-radius);
}

.comments-block p.comment-form-cookies-consent {
    flex-direction: row;
    align-items: center;
}

/* Block: cookie (cookie) */
.g-e1f33212 { display: none; position: fixed; bottom: 30px; left: var(--wrapper-padding); width: calc(100% - var(--wrapper-padding) * 2); max-width: 600px; padding: var(--size-m); z-index: 3; }
.g-8d8d9647 { display: block; }
.g-2c187ac3 { display: flex; flex-wrap: wrap; gap: var(--size-xs); }
@media screen and (max-width: 768px) { .g-e1f33212 { padding: var(--size-s); }
 }@media screen and (max-width: 576px) { .g-2c187ac3 { gap: var(--size-xxs); }
.g-16ebffc2 { width: 100%; }
 }

/* Block: featured-posts (featured-posts) */
.g-e4c8592b { display: grid; grid-template-columns: minmax(0, 1fr) 564px; gap: var(--size-s); align-items: start; }
.g-c1bb7ccd { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); }
.g-2caad84c { margin: 32px 0; height: 1px; border: 0; border-top: 1px solid var(--color-surface); }
.g-227b2831 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-e4c8592b { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-e4c8592b { grid-template-columns: 1fr; gap: var(--size-l); }
 }@media screen and (max-width: 576px) { .g-c1bb7ccd { gap: var(--size-xs); }
 }

/* Block: footer (footer) */
.g-0cbbba28 { font-size: 40px; display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xxs); white-space: nowrap; }
.g-0d2aa578 { text-align: center; position: fixed; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%) scale(0.7); padding: var(--size-xs) var(--size-s); border-radius: 14px; background: var(--color-secondary); box-shadow: var(--shadow); color: var(--color-text-light); opacity: 0; visibility: hidden; transition: opacity 0.2s ease, transform 0.2s ease, visibility 0.2s ease; z-index: 1000; }
.g-0d2aa578.g-906dac3f { opacity: 1; visibility: visible; transform: translateX(-50%) translateY(-50%) scale(1); }
.g-14a1b985 { margin-top: var(--section-padding); }
.g-a078414c { border-radius: var(--b-radius); padding: var(--size-m); }
.g-cd22225b { display: flex; justify-content: space-between; align-items: center; flex-wrap: wrap; gap: var(--size-xl); padding-bottom: var(--size-m); border-bottom: 1px solid var(--color-surface); margin-bottom: var(--size-m); }
.g-607266a8 { max-width: 524px; }
.g-2997b8e5 { max-width: 450px; }
.g-18c3fba5 { margin-top: var(--size-xs); }
.g-d86ec2df { position: relative; margin-top: var(--size-s); display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-6b4ec952 { background-color: var(--color-surface); border: 0; height: 40px; border-radius: 40px; padding: 10px 24px; flex: 2; }
.g-c5f69db0 { flex: 1; cursor: pointer; border: 0; background-color: var(--color-secondary); color: var(--text-light); height: 40px; border-radius: 40px; padding: 10px 24px; transition: transform 0.1s ease-in-out; }
.g-c5f69db0:hover { transition: transform 0.3s ease-in-out; transform: scale(1.06); }
.g-cefd8685 { display: flex; justify-content: flex-start; align-items: center; margin-top: var(--size-xs); }
.g-95386853 { transform: scale(1.2); margin-right: var(--size-xs); }
.g-6d2ec6ba { display: flex; flex-direction: column; justify-content: flex-start; align-items: center; }
.g-42f5f46e { display: flex; justify-content: center; align-items: center; flex-wrap: wrap; gap: var(--size-xs) var(--size-xl); margin-top: var(--size-m); }
.g-23d1a392 { margin: var(--size-m) 0; display: flex; justify-content: space-between; align-items: center; gap: var(--size-s); text-align: center; }
@media screen and (max-width: 1024px) { .g-607266a8 { max-width: initial; }
.g-2997b8e5 { max-width: initial; }
 }@media screen and (max-width: 870px) { .g-42f5f46e { justify-content: flex-start; }
 }@media screen and (max-width: 768px) { .g-23d1a392 { gap: var(--size-xs); flex-wrap: wrap; justify-content: space-between; text-align: left; }
.g-6a6aee8c { order: 3; width: 100%; text-align: center; }
 }@media screen and (max-width: 576px) { .g-cd22225b { gap: var(--size-m); }
.g-d86ec2df { flex-direction: column; gap: var(--size-xxs); }
.g-6b4ec952 { width: 100%; }
.g-c5f69db0 { width: 100%; }
.g-42f5f46e { flex-direction: column; align-items: center; }
 }

/* Block: header (header) */
#header-nav-desktop .menu-item a,
#header-nav-desktop .page_item a,
#header-nav-dropdown .menu-item a,
#header-nav-dropdown .page_item a {
    position: relative;
    text-decoration: none;
    white-space: nowrap;
    padding: var(--size-xxs) var(--size-xs);
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 35px;
    transition: 0.1s text-shadow ease-in-out;
}
#header-nav-desktop .menu-item a:hover,
#header-nav-desktop .page_item a:hover,
#header-nav-dropdown .menu-item a:hover,
#header-nav-dropdown .page_item a:hover {
    text-shadow: 0.5px 0 0 currentColor;
}
#header-nav-desktop .current-menu-item a,
#header-nav-desktop .current_page_item a,
#header-nav-dropdown .current-menu-item a,
#header-nav-dropdown .current_page_item a {
    text-shadow: 0.5px 0 0 currentColor;
}
#header-nav-desktop .current-menu-item a .g-6be6a134,
#header-nav-desktop .current_page_item a .g-6be6a134,
#header-nav-dropdown .current-menu-item a .g-6be6a134,
#header-nav-dropdown .current_page_item a .g-6be6a134 {
    background-color: var(--color-text);
}

.g-a3e2ec47 { position: sticky; top: 0; z-index: 5; box-shadow: var(--shadow); }
.g-dd285ed1 { display: flex; justify-content: space-between; align-items: center; height: 80px; position: relative; }
.g-228dcaad { display: flex; justify-content: flex-start; align-items: center; white-space: nowrap; text-decoration: none; }
.g-1fd459ab { display: none; }
.g-c3658e08 { font-size: 34px; margin-right: var(--size-xxs); }
.g-354937a6 { font-size: 24px; font-weight: 600; }
.g-0b9b963f { -ms-overflow-style: none; scrollbar-width: none; }
.g-81b190c8 { display: none; }
.g-7753af9d { display: flex; justify-content: flex-start; align-items: center; height: 51px; border-radius: 51px; gap: var(--size-s); padding: 0 8px; }
.g-6be6a134 { position: absolute; bottom: -6px; display: block; width: 8px; height: 8px; border-radius: 50%; }
.g-94a13477 { cursor: pointer; border: 0; padding: var(--size-xxs) var(--size-xs); transition: 0.3s transform ease-in-out; width: 72px; text-align: center; background-color: transparent; }
.g-94a13477:hover { transform: scale(1.05); }
.g-717175af { display: none; }
.g-90254aef { display: none; }
.g-fc5910eb { display: inline; }
.g-becba297 { display: none; }
.g-1208c2a7 { display: none; justify-content: flex-start; align-items: center; padding-bottom: var(--size-xs); }
.g-1208c2a7.g-41abc764 { display: flex; width: 100%; }
.g-2daa9f8e { height: auto; display: flex; flex-direction: column; text-align: left; align-items: flex-start; }
.g-2daa9f8e .g-6be6a134 { bottom: 50%; margin-bottom: -4px; left: -5px; }
@media screen and (max-width: 870px) { .g-c3658e08 { font-size: 28px; }
.g-354937a6 { font-size: 20px; }
.g-7753af9d { gap: var(--size-xxs); }
.g-a8e64250 { display: none; }
.g-90254aef { display: block; }
.g-1208c2a7.g-41abc764 { display: flex; width: 100%; }
 }

/* Block: hero-search (hero-search) */
.g-9b4b664f { padding: var(--section-padding) 0; }
.g-d8c7c106 { display: flex; }
.g-7be6f7fc { flex: 1; border-radius: var(--b-radius) 0 0 var(--b-radius); overflow: hidden; }
.g-95b11328 { width: 100%; height: 100%; }
.g-3975b6a7 { flex: 1; border-radius: 0 var(--b-radius) var(--b-radius) 0; background-color: var(--color-primary); color: var(--color-text-light); display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-a74ebab1 { margin-top: var(--size-s); }
.g-8fa7947f { margin-top: var(--size-m); }
@media screen and (max-width: 1024px) { .g-d8c7c106 { flex-direction: column-reverse; }
.g-7be6f7fc { border-radius: 0 0 var(--b-radius) var(--b-radius); }
.g-95b11328 { height: 350px; }
.g-3975b6a7 { border-radius: var(--b-radius) var(--b-radius) 0 0; padding-bottom: var(--size-xl); }
 }@media screen and (max-width: 576px) { .g-95b11328 { height: auto; }
.g-3975b6a7 { padding: var(--size-s); }
 }

/* Block: page-404 (page-404) */
.g-56eea3cd { display: flex; justify-content: center; align-items: center; flex-direction: column; }
.g-48dfaa3b { fill: var(--color-text-description); max-width: 100%; height: auto; }
.g-25c3dedf { text-align: center; margin-top: var(--size-xl); }
.g-08311d5e { text-align: center; margin-top: var(--size-s); }
.g-c580250a { display: flex; justify-content: center; align-items: center; gap: var(--size-m); }
@media screen and (max-width: 768px) { .g-25c3dedf { margin-top: var(--size-m); }
 }@media screen and (max-width: 576px) { .g-c580250a { flex-direction: column; gap: var(--size-xs); }
 }

/* Block: page-content (page-content) */
.g-e6488e52 { margin: var(--section-padding) 0; }

/* Block: page-header (page-header) */
.g-d30d66e8 { padding: var(--size-m) 0 50px; }
.g-0e486b55 { margin-top: var(--size-m); padding: var(--size-s) var(--size-s) var(--size-m); text-align: center; }
.g-e758f0fb { margin-top: var(--size-xs); }
@media screen and (max-width: 576px) { .g-0e486b55 { margin-top: var(--size-xs); }
 }

/* Block: pagination (pagination) */
.g-f398d4ba .nav-links {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.g-f398d4ba .page-numbers {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 32px;
    border-radius: 32px;
    min-width: 32px;
    text-decoration: none;
    font-weight: 500;
}

.g-f398d4ba .page-numbers:hover {
    box-shadow: 0px 0px 0px 1px var(--color-secondary);
}

.g-f398d4ba .prev {
    left: 0;
    transform: translateX(calc(-100% - 44px));
    color: var(--color-secondary);
}

.g-f398d4ba .prev::before {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
}

.g-f398d4ba .next {
    right: 0;
    transform: translateX(calc(100% + 44px));
    color: var(--color-secondary);
}

.g-f398d4ba .next::after {
    content: '';
    display: inline-block;
    width: 18px;
    height: 12px;
    background-color: currentColor;
    -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='18' height='12' viewBox='0 0 18 12'%3E%3Cpath d='M4.99213 0.21967C5.28502 -0.0732234 5.76076 -0.0732234 6.05365 0.21967C6.34655 0.512563 6.34655 0.9883 6.05365 1.28119L2.56049 4.77338H16.7499C17.1642 4.77338 17.4999 5.10917 17.4999 5.52338C17.4999 5.93759 17.1642 6.27338 16.7499 6.27338H2.56049L6.05365 9.76557C6.34655 10.0585 6.34655 10.5342 6.05365 10.8271C5.76076 11.12 5.28502 11.12 4.99213 10.8271L0.21967 6.05365C-0.0732233 5.76076 -0.0732233 5.286 0.21967 4.99311L4.99213 0.21967Z' fill='white'/%3E%3C/svg%3E") center / contain no-repeat;
    flex-shrink: 0;
    transform: scale(-1);
}

.g-f398d4ba .prev,
.g-f398d4ba .next {
    position: absolute;
    top: 50%;
    margin-top: -16px;
    padding: 0 16px;
    gap: 8px;
        color: var(--color-text);
}

.g-f398d4ba .prev,
.g-f398d4ba .next,
.g-f398d4ba .current {
    box-shadow: 0px 0px 0px 1px var(--color-text);
}

@media screen and (max-width: 768px) {
    .g-f398d4ba .prev,
    .g-f398d4ba .next {
        position: static;
        margin-top: 0;
        transform: none;
    }
}

@media screen and (max-width: 576px) {
    .g-f398d4ba .prev::before,
    .g-f398d4ba .next::after {
        display: none;
    }
}

.g-f398d4ba { display: flex; justify-content: center; padding: var(--size-l) 0 var(--size-xl); }
@media screen and (max-width: 768px) { .g-f398d4ba { padding: var(--size-m) 0 var(--size-l); }
 }

/* Block: post-card (post-card) */
.g-85f20d0a { position: relative; overflow: hidden; border-radius: var(--b-radius); background-color: var(--color-surface); padding: 8px; }
.g-85f20d0a .g-5995742b { position: relative; text-decoration: none; }
.g-85f20d0a .g-01a81c8d { display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 6px; color: var(--color-primary); }
.g-85f20d0a .g-4c326c1b { margin-top: var(--size-xs); background-color: var(--color-secondary); border-radius: var(--b-radius); overflow: hidden; aspect-ratio: 16/10; }
.g-85f20d0a .g-4c326c1b img { width: 100%; height: 100%; object-fit: cover; }
.g-85f20d0a .g-3e909506 { padding: 4px; display: flex; justify-content: center; gap: 6px; align-items: center; white-space: nowrap; }
.g-85f20d0a .g-fab89602 { margin-top: var(--size-xs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-85f20d0a .g-e9731cc7 { display: block; margin-top: var(--size-s); white-space: nowrap; opacity: 0.8; }
.g-85f20d0a .g-4021f830 { margin-top: var(--size-s); padding-bottom: var(--size-xs); border-bottom: 1px solid var(--color-text); }
.g-2ae16f75 { position: relative; overflow: hidden; border-radius: var(--b-radius); background-color: var(--color-surface); padding: 8px; }
.g-2ae16f75 .g-5995742b { position: relative; text-decoration: none; }
.g-2ae16f75 .g-01a81c8d { display: inline-flex; align-items: center; justify-content: flex-start; flex-wrap: wrap; gap: 0 6px; color: var(--color-primary); }
.g-2ae16f75 .g-4c326c1b { margin-top: var(--size-xs); background-color: var(--color-secondary); border-radius: var(--b-radius); overflow: hidden; aspect-ratio: 16/10; }
.g-2ae16f75 .g-4c326c1b img { width: 100%; height: 100%; object-fit: cover; }
.g-2ae16f75 .g-3e909506 { padding: 4px; display: flex; justify-content: center; gap: 6px; align-items: center; white-space: nowrap; }
.g-2ae16f75 .g-fab89602 { border-top: 1px solid var(--color-text); margin-top: var(--size-xxs); padding-top: var(--size-xxs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
.g-2ae16f75 .g-e9731cc7 { display: block; margin-top: var(--size-s); white-space: nowrap; opacity: 0.8; }
.g-2ae16f75 .g-4021f830 { margin-top: var(--size-xxs); display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; text-overflow: ellipsis; }
@media screen and (max-width: 576px) { .g-01a81c8d { gap: 0 4px; }
 }

/* Block: post-content (post-content) */
[id^="anchor-"] {
    scroll-margin-top: calc(var(--header-height, 0px) + 15px);
}

.post-navigation-wrapper .nav-links {
    margin-top: var(--size-xl);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--size-xl);
}

.post-navigation-wrapper .nav-links .post-navigation-link {
    gap: var(--size-xxs);
}

.post-navigation-wrapper .nav-links .nav-next {
    margin-left: auto;
        text-align: right;
}

.g-2a5b9dab { display: grid; grid-template-columns: 270px 1fr; gap: var(--size-s); padding: var(--size-xl) 0; }
.g-2a5b9dab blockquote { margin: 0 var(--size-s); border-left: 3px solid var(--color-primary); padding: var(--size-s) var(--size-xs); }
.g-2a5b9dab .g-8e86a1f6 { position: sticky; top: calc(var(--header-height, 0px) + 15px); }
.g-2a5b9dab .g-4d72ce28 { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); }
.g-2a5b9dab .g-0da7431d { margin-top: var(--size-m); }
.g-2a5b9dab .g-36f0d909 { margin-top: var(--size-m); color: var(--color-text-description); display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; gap: 16px; }
.g-2a5b9dab .g-410bce33 { display: block; text-decoration: none; }
.g-2a5b9dab .g-410bce33:hover { text-decoration: underline; }
.g-2a5b9dab .g-eafb885e { background-color: var(--color-surface); border-radius: var(--b-radius); padding: 8px 16px; font-weight: bold; }
@media screen and (max-width: 1024px) { .g-2a5b9dab { grid-template-columns: 1fr; }
.g-2a5b9dab .g-bf98341c { display: none; }
.g-2a5b9dab .g-0da7431d { margin-top: var(--size-s); }
.g-2a5b9dab .g-36f0d909 { align-items: flex-start; margin-top: var(--size-s); gap: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-2a5b9dab blockquote { margin: 0; }
 }

/* Block: post-header (post-header) */
.g-78af8b07 { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); margin-top: var(--size-m); }
.g-f99892a5 { display: flex; flex-direction: column; justify-content: flex-start; align-items: flex-start; }
.g-662db82c { display: flex; align-items: center; justify-content: center; }
.g-b56dc5bf { display: flex; justify-content: flex-start; align-items: center; gap: var(--size-xs); flex-wrap: wrap; }
.g-a17f2d6d { padding: 8px 16px; height: 37px; border-radius: 37px; background-color: var(--color-surface); display: flex; justify-content: flex-start; align-items: center; gap: 8px; text-decoration: none; transition: filter .2s ease-in-out; }
.g-a17f2d6d:hover { filter: brightness(0.96); }
.g-70e12933 { margin-top: var(--size-m); }
.g-91559c05 { margin-top: var(--size-s); margin-bottom: auto; }
.g-66333d94 { margin-top: var(--size-s); }
@media screen and (max-width: 1024px) { .g-78af8b07 { grid-template-columns: 1fr; }
.g-f99892a5 { max-width: 70%; }
.g-662db82c { max-width: 70%; display: block; }
.g-a17f2d6d { height: 30px; }
 }@media screen and (max-width: 768px) { .g-78af8b07 { gap: var(--size-m); }
.g-f99892a5 { max-width: 100%; }
.g-662db82c { max-width: 100%; }
.g-91559c05 { margin-top: var(--size-xs); }
 }

/* Block: posts-list (posts-list) */
.g-ff100cbe { display: grid; gap: 24px; grid-template-columns: repeat(3, 1fr); }
@media screen and (max-width: 1024px) { .g-ff100cbe { grid-template-columns: repeat(2, 1fr); }
 }@media screen and (max-width: 768px) { .g-ff100cbe { grid-template-columns: 1fr; }
 }

/* Block: recommendation (recommendation) */
.g-69748cdf { text-align: center; }
.g-5879f321 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); }
.g-2a245f01 { background-color: var(--color-secondary); display: flex; justify-content: center; align-items: center; border-radius: var(--size-l); padding: 8px; gap: 16px; }
.g-33000cb4 { width: var(--size-l); height: var(--size-l); border-radius: 50%; border: 0; padding: 0; background-color: transparent; display: flex; justify-content: center; align-items: center; cursor: pointer; }
.g-33000cb4:hover { background-color: var(--color-primary); }
@media screen and (max-width: 768px) { .g-5879f321 { margin-top: var(--size-m); }
.g-2a245f01 { border-radius: var(--size-m); }
.g-33000cb4 { width: var(--size-m); height: var(--size-m); }
 }

/* Block: search (search) */
.g-6ba66a02 { margin-top: var(--size-m); max-width: 600px; }
.g-709fccda { margin-top: var(--size-m); max-width: 600px; }
.g-edb006d3 { margin-top: var(--size-xl); }

/* Block: searchform (searchform) */
.g-558b28a4 { position: relative; display: inline-block; width: 100%; }
.g-558b28a4 .g-14cedd35 { color: var(--color-text); width: 100%; background-color: var(--color-surface); height: 48px; border-radius: 48px; border: 0; box-shadow: inset 0 0 0 2px var(--color-primary); padding: var(--size-xxs) 85px var(--size-xxs) var(--size-s); font-size: clamp(0.75rem, 0.4419889503vw + 0.6464088398rem, 1rem); font-weight: 500; line-height: 120%; }
.g-558b28a4 .g-cead076e { position: absolute; right: 0; top: 0; height: 100%; z-index: 1; display: flex; justify-content: flex-end; align-items: center; padding: 8px; gap: 8px; }
.g-558b28a4 .g-a3a05e2c { border: 0; width: 32px; height: 32px; border-radius: 50%; background-color: var(--color-primary); cursor: pointer; display: flex; justify-content: center; align-items: center; padding: 0; transition: opacity .2s ease-in-out; }
.g-558b28a4 .g-a3a05e2c:hover { opacity: .7; }
.g-558b28a4 .g-cf00655f { border: 0; padding: 8px; cursor: pointer; display: flex; justify-content: center; align-items: center; transition: opacity .2s ease-in-out; background-color: transparent; }
.g-558b28a4 .g-cf00655f:hover { opacity: .7; }

/* Block: toTop (toTop) */
.g-e9347639 { position: fixed; bottom: 30px; right: 30px; opacity: 0; background-color: var(--color-primary); border: none; width: 60px; height: 60px; border-radius: 50%; cursor: pointer; visibility: hidden; transition: 0.3s opacity ease-in-out; z-index: 4; }
.g-e9347639 svg { fill: var(--color-text-light); }
.g-0a58fd3b { visibility: visible; opacity: 1; }
@media screen and (max-width: 768px) { .g-e9347639 { transform: scale(0.8); bottom: 15px; right: 15px; }
 }

/* Block: front-page::hero-search (hero-search) */
.g-a3161d70 { padding: var(--section-padding) 0; }
.g-f17d8c73 { display: flex; }
.g-763de024 { flex: 1; border-radius: var(--b-radius) 0 0 var(--b-radius); overflow: hidden; }
.g-68547c42 { width: 100%; height: 100%; }
.g-7a4dbcfb { flex: 1; border-radius: 0 var(--b-radius) var(--b-radius) 0; background-color: var(--color-primary); color: var(--color-text-light); display: flex; flex-direction: column; justify-content: center; padding: var(--size-m); }
.g-0c5e9c54 { margin-top: var(--size-s); }
.g-2ff1ed06 { margin-top: var(--size-m); }
@media screen and (max-width: 1024px) { .g-f17d8c73 { flex-direction: column-reverse; }
.g-763de024 { border-radius: 0 0 var(--b-radius) var(--b-radius); }
.g-68547c42 { height: 350px; }
.g-7a4dbcfb { border-radius: var(--b-radius) var(--b-radius) 0 0; padding-bottom: var(--size-xl); }
 }@media screen and (max-width: 576px) { .g-68547c42 { height: auto; }
.g-7a4dbcfb { padding: var(--size-s); }
 }

/* Block: front-page::about--0 (about) */
.g-cea40f3c { padding: 0; }
@media screen and (max-width: 1280px) { .g-b7b73f8c { border-radius: 0; }
 }@media screen and (max-width: 768px) { .g-cea40f3c { padding: 0 var(--wrapper-padding); }
.g-704d743c { column-count: 1; }
.g-b7b73f8c { border-radius: var(--b-radius); }
 }@media screen and (max-width: 576px) { .g-704d743c { text-align: center; }
 }

/* Block: front-page::categories-list (categories-list) */
.g-537919d5 { display: grid; grid-template-columns: repeat(6, 1fr); gap: var(--size-s); }
.g-537919d5 .g-006a32ca { position: relative; text-decoration: none; background: linear-gradient(180deg, var(--color-surface) 0%, transparent 100%); border-radius: var(--b-radius); padding: 24px 24px 150px; min-height: 178px; overflow-wrap: break-word; word-break: break-word; text-wrap: balance; grid-column: span 2; transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-537919d5 .g-006a32ca:hover { background: linear-gradient(180deg, var(--color-surface) 0%, var(--color-surface) 100%); box-shadow: inset var(--shadow); transition: background 0.2s ease-in-out, box-shadow 0.2s ease-in-out; }
.g-537919d5 .g-006a32ca:hover .g-b980512b { opacity: 1; }
.g-537919d5 .g-12333636 { position: relative; z-index: 1; }
.g-537919d5 .g-b980512b { position: absolute; right: 24px; bottom: 24px; font-size: 120px; opacity: 0.6; transition: opacity 0.2s ease-in-out; }
.g-537919d5 .g-96e4a237 { padding-bottom: 210px; min-height: 266px; grid-column: span 3; }
.g-537919d5 .g-96e4a237 .g-b980512b { font-size: 200px; }
@media screen and (max-width: 1024px) { .g-006a32ca { min-height: 144px; padding-bottom: 82px; }
.g-b980512b { font-size: 72px; }
.g-96e4a237 { padding-bottom: 120px; min-height: 159px; }
.g-96e4a237 .g-b980512b { font-size: 100px; }
 }@media screen and (max-width: 768px) { .g-537919d5 { gap: var(--size-xs); grid-template-columns: repeat(2, 1fr); }
.g-006a32ca { min-height: 119px; padding: 16px 16px 76px; grid-column: auto; }
.g-b980512b { font-size: 56px; right: 16px; bottom: 16px; }
.g-96e4a237 { min-height: 119px; grid-column: auto; padding-bottom: 76px; }
.g-96e4a237 .g-b980512b { font-size: 56px; }
 }

/* Block: front-page::featured-posts (featured-posts) */
.g-bf25bd32 { display: grid; grid-template-columns: minmax(0, 1fr) 564px; gap: var(--size-s); align-items: start; }
.g-5988a5e4 { display: grid; grid-template-columns: 1fr 1fr; gap: var(--size-s); }
.g-1a4a66f1 { margin: 32px 0; height: 1px; border: 0; border-top: 1px solid var(--color-surface); }
.g-c0df6986 { display: flex; justify-content: center; align-items: center; margin-top: var(--size-xl); text-align: center; }
@media screen and (max-width: 1024px) { .g-bf25bd32 { grid-template-columns: 1fr 1fr; }
 }@media screen and (max-width: 870px) { .g-bf25bd32 { grid-template-columns: 1fr; gap: var(--size-l); }
 }@media screen and (max-width: 576px) { .g-5988a5e4 { gap: var(--size-xs); }
 }

/* Block: front-page::page-content--0 (page-content) */
.g-d57facfc { margin: var(--section-padding) 0; }

/* Block: contacts-page::page-content--0 (page-content) */
.g-3b863aeb { margin: var(--section-padding) 0; }

/* Block: contacts-page::form--0 (form) */
.g-d5fc901e { display: flex; justify-content: flex-start; position: relative; z-index: 1; }
.g-8fc9b2f4 { width: clamp(23.125rem, 29.2682926829vw + 7.2103658537rem, 30.625rem); flex-shrink: 0; padding: clamp(2rem, 5.8536585366vw + -1.1829268293rem, 3.5rem) var(--size-s) clamp(2rem, 5.8536585366vw + -1.1829268293rem, 3.5rem) clamp(1.5rem, 7.8048780488vw + -2.743902439rem, 3.5rem); display: flex; flex-direction: column; align-items: flex-start; justify-content: center; }
.g-74092b88 { padding: clamp(1.5rem, 7.8048780488vw + -2.743902439rem, 3.5rem); flex: 1; display: flex; flex-direction: column; justify-content: center; }
.g-43731956 { display: flex; justify-content: flex-start; align-items: center; }
.g-dff6c457 { width: 56px; height: 56px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; border-radius: 50%; font-size: 24px; margin-right: var(--size-m); }
.g-1be9adf6 { display: flex; flex-direction: column; }
.g-3c291e92 { margin-top: -100px; height: clamp(32rem, 13.28125vw + 25.625rem, 36.25rem); }
.g-33e67b6d { position: relative; z-index: 1; }
@media screen and (max-width: 870px) { .g-d5fc901e { flex-direction: column-reverse; }
.g-8fc9b2f4 { width: 100%; }
 }@media screen and (max-width: 768px) { .g-b6110d52 { width: 100%; display: flex; justify-content: space-between; gap: var(--size-s); }
.g-b6110d52 .g-43731956 { margin-top: 0; }
.g-43731956 { align-items: flex-start; flex-direction: column; flex: 1; }
.g-dff6c457 { margin-right: 0; }
.g-1be9adf6 { margin-top: var(--size-xs); }
.g-3c291e92 { height: clamp(38.75rem, -27.4809160305vw + 45.1908396947rem, 32rem); }
 }@media screen and (max-width: 576px) { .g-8fc9b2f4 { text-align: center; }
.g-b6110d52 { flex-direction: column; align-items: center; margin-top: var(--size-s); }
.g-43731956 { align-items: center; }
.g-40b967f5 { margin: 0 auto; }
 }

/* Block: approach::about--0 (about) */
.g-f041f6c7 { display: flex; align-items: center; gap: var(--size-m); }
.g-2b2fd11c { flex: 1; }
.g-ea10f24a { max-height: 600px; display: flex; justify-content: center; align-items: center; }
@media screen and (max-width: 768px) { .g-f041f6c7 { flex-direction: column; }
 }@media screen and (max-width: 576px) { .g-36f22e10 { text-align: center; }
 }

/* Block: approach::process--0 (process) */
.g-38c51cbe { width: 60%; }
.g-b0e0da65 { flex: 1; position: relative; display: flex; gap: var(--size-l); }
.g-4941b804 { flex: 1; }
.g-854c8bd5 { position: relative; }
.g-854c8bd5::before { content: ""; position: absolute; top: 0; left: calc(-1 * var(--size-l) / 2); width: 1px; height: 100%; background-color: var(--color-secondary); }
.g-cdf4441f::before { display: none; }
@media screen and (max-width: 870px) { .g-28c7ed6d { flex-direction: column; }
.g-38c51cbe { width: 100%; }
.g-b0e0da65 { display: grid; grid-template-columns: 1fr 1fr; }
.g-b0e0da65::before { content: ""; position: absolute; top: 0; left: 50%; width: 1px; height: 100%; background-color: var(--color-secondary); }
.g-b0e0da65::after { content: ""; position: absolute; top: 50%; left: 0; width: 100%; height: 1px; background-color: var(--color-secondary); }
.g-854c8bd5::before { display: none; }
 }@media screen and (max-width: 576px) { .g-38c51cbe { text-align: center; }
.g-b0e0da65 { margin-top: var(--size-m); gap: var(--size-m); grid-template-columns: 1fr; }
.g-b0e0da65::before { display: none; }
.g-b0e0da65::after { display: none; }
.g-854c8bd5::before { left: 0; top: calc(-1 * var(--size-m) / 2); display: block; height: 1px; width: 100%; }
.g-cdf4441f::before { display: none; }
 }

/* Block: approach::text--0 (text) */
.g-9adec3e5 { padding: var(--size-xl); }
@media screen and (max-width: 768px) { .g-9adec3e5 { text-align: center; padding: var(--size-m); }
 }@media screen and (max-width: 576px) { .g-9adec3e5 { padding: var(--size-s); }
 }

/* Block: approach::faq--0 (faq) */
.g-e09d044e { position: relative; gap: var(--size-s); }
.g-e09d044e * { flex: 1; }
.g-36d8210e { width: 80%; margin-inline: auto; }
.g-fb570b83 { width: 32px; height: 32px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; background-color: var(--color-secondary); border-radius: 50%; margin-right: var(--size-xl); color: var(--color-text-light); }
.g-cde732b3 { user-select: none; }
.g-cde732b3[open] .g-2fb72216 { transform: scaleY(1); }
.g-7659fb78 { display: flex; justify-content: flex-start; align-items: center; list-style: none; cursor: pointer; padding: var(--size-s) var(--size-m); }
.g-7659fb78::-webkit-details-marker { display: none; }
.g-2fb72216 { width: 32px; height: 32px; flex-shrink: 0; display: flex; justify-content: center; align-items: center; margin-left: auto; border-radius: 50%; background-color: var(--color-bg); transform: scaleY(-1); }
.g-2fb72216 svg { fill: var(--color-primary); }
.g-4b54fb8d { padding: 0 var(--size-m) var(--size-s); }
@media screen and (max-width: 870px) { .g-7659fb78 { padding-top: var(--size-xs); padding-bottom: var(--size-xs); }
.g-4b54fb8d { padding-bottom: var(--size-xs); }
 }@media screen and (max-width: 768px) { .g-e09d044e { flex-direction: column; }
.g-36d8210e { width: 100%; margin-top: var(--size-m); }
.g-fb570b83 { margin-right: var(--size-s); }
 }